/*******************************************************************************
 * FoxCustomizationNode_UpperBody generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxCustomizationNode_UpperBody extends FoxCustomizationNode_BodyGearBase within FoxArmoryUI
    config(UI);

function SetupCustomItemType(out array<UIResourceDataProvider> NewGearArray, bool bReset)
{
    // End:0x37
    if(bReset)
    {
        Outer.CustomItemType = 1;
        ResetSelectedLoadout();
    }
    NewGearArray = Outer.Outer.Outer.UnlockablesDataStore.UpperBodyProviderArray;
    //return;    
}

function bool IsPurchased(int ItemId)
{
    return FoxServerConnection(Outer.Outer.Outer.PCOwner.WorldInfo.ServerConn).IsUpperBodyPurchased(ItemId, FoxPRI(Outer.Outer.Outer.PCOwner.PlayerReplicationInfo));
    //return ReturnValue;    
}

function NodeEquipButtonClicked(string SelectedIndex)
{
    super(FoxCustomizationNode_GearBase).NodeEquipButtonClicked(SelectedIndex);
    Outer.Outer.ArmoryItemGrid.as_SetSelectedModIndex(Outer.SetModDataForArmor(Outer.CustomItemType), true);
    //return;    
}

defaultproperties
{
    NodeWidgetConfigs(0)=(sLabel="Helmet",SocketName=S_Helmet,BoneName=None,FixedThresholdParam=0.0,bApplyThresholdLerp=true,bInvertAxis=true,WeaponModIndex=EWeaponCustomizationItem.ECI_WeaponSkin,GearIndex=EArmorItem.EAIT_Helmet)
    NodeWidgetConfigs(1)=(sLabel="Chest",SocketName=None,BoneName=Back3,FixedThresholdParam=0.0,bApplyThresholdLerp=true,bInvertAxis=true,WeaponModIndex=EWeaponCustomizationItem.ECI_WeaponSkin,GearIndex=EArmorItem.EAIT_UpperBody)
    NodeWidgetConfigs(2)=(sLabel="Legs",SocketName=None,BoneName=hip,FixedThresholdParam=0.0,bApplyThresholdLerp=true,bInvertAxis=false,WeaponModIndex=EWeaponCustomizationItem.ECI_WeaponSkin,GearIndex=EArmorItem.EAIT_LowerBody)
    NodeWidgetConfigs(3)=(sLabel="Trophy",SocketName=S_Trophy,BoneName=None,FixedThresholdParam=0.0,bApplyThresholdLerp=true,bInvertAxis=false,WeaponModIndex=EWeaponCustomizationItem.ECI_WeaponSkin,GearIndex=EArmorItem.EAIT_Badge)
}